QGIS Application - Bug report #10016
Error with outputs caused by specific characters
2014-04-08 02:32 AM - Danny Morck

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.2.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18502
Description

When automatically naming outputs (PDF, images etc.) by Field Calculator and linked to an attributefield, some outputs will not be
generated if they include specific characters like /, <, >, ", |, ?, *. This is because you normally arent allowed to name files, folders etc with
theese characters.

Associated revisions

Revision 899¢2{8b - 2014-06-26 12:16 PM - Nyall Dawson

[composer] Prevent hang on trying to export compositions and atlases to files which can't be overwritten, and warn user instead (fix #9283) (fix #10016).
Fix mouse cursor getting stuck after failed atlas exports.

History

#1 - 2014-04-08 02:39 AM - Vincent Picavet
- Status changed from Open to Rejected
- Assignee set to Vincent Picavet

Hello,
If this bugreports concerns the Atlas part of QGIS 2.x, please report the bug in the main QGIS application.
If this concerns the Atlas plugin for QGIS 1.8, please note that it is now deprecated as the feature has been ported to core. It is not maintained any longer.

It is advised to update your QGIS version to benefit from all the improvements incorporated, especially concerning the composer and the Atlas feature.

#2 - 2014-04-08 03:02 AM - Nyall Dawson
I'm expecting this report - it concerns the inbuilt feature, but I'm unable to reopen this ticket or change its category to Map Composer. Vincent, are you able

to do this?

#3 - 2014-04-08 03:14 AM - Vincent Picavet
- Assignee changed from Vincent Picavet to Nyall Dawson
- Status changed from Rejected to Reopened

Hello Nyall,

| added you as developper and manager of this plugin, and reopened the bug. | can only "move" it to the other projects belonging to me on this platform,
and not the QGIS project itself. Maybe you will be able to do so now that | added you as a member.
#4 - 2014-04-08 03:33 AM - Nyall Dawson

- Project changed from 50 to QGIS Application
- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.2.0

#5 - 2014-04-08 03:33 AM - Nyall Dawson
- Category set to Map Composer/Printing

#6 - 2014-04-08 03:33 AM - Nyall Dawson

Thanks Vincent!

#7 - 2014-06-26 03:54 AM - Nyall Dawson

- Status changed from Reopened to Closed

Fixed in changeset commit:"899c2f8b5dc268ff4cbb111f94968b570159€933".
